> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/vm/disk/describediskcategory.md).

# DescribeDiskCategory

## 1. 接口描述

本接口(DescribeDiskCategory)用于查询云硬盘支持的类型。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称               | 必选 | 类型                                                                     | 描述                                                          |
| ------------------ | -- | ---------------------------------------------------------------------- | ----------------------------------------------------------- |
| instanceChargeType | 是  | [ChargeType](/api-reference/cn/compute/vm/datastructure.md#chargetype) | <p>实例计费类型。</p><p>PREPAID：预付费，即包年包月。</p><p>POSTPAID：后付费。</p> |
| zoneId             | 否  | String                                                                 | <p>可用区ID。</p><p>可从DescribeZones接口中获取。</p>                   |
| diskCategory       | 否  | String                                                                 | <p>云硬盘种类。</p><p>STANDARD：标准云盘。</p><p>SSD：固态硬盘。</p>          |

## 3. 响应结果

| 参数名称            | 类型                                                                                  | 描述                                                       |
| --------------- | ----------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId       | String                                                                              | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| categoryZoneSet | Array of [DiskCategory](/api-reference/cn/compute/vm/datastructure.md#diskcategory) | 云硬盘类型与可用区关系结果集。                                          |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询可用区`SEL-A`下支持的云硬盘类型。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDiskCategory
<Common Request Params>

Request:
{
  "zoneId": "SEL-A"
}

Response:
{
  "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
  "response": {
    "requestId": "TCF499941-588A-4F28-B8ED-1BAC37E304DC",
    "categoryZoneSet": [
      {
        "zoneId": "SEL-A",
        "categorySet": [
          "STANDARD"
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
